Create card

Create a new virtual or physical card. Parameters shipping_address and product_id only apply to physical cards.

Body Params
uuid

Globally unique identifier for the account that the card will be associated with. Required for programs enrolling users using the /account_holders endpoint. See Managing Your Program for more information.

uuid

For card programs with more than one BIN range. This must be configured with Lithic before use. Identifies the card program/BIN range under which to create the card. If omitted, will utilize the program's default card_program_token. In Sandbox, use 00000000-0000-0000-1000-000000000000 and 00000000-0000-0000-2000-000000000000 to test creating cards on specific card programs.

uuid

Globally unique identifier for an existing bulk order to associate this card with. When specified, the card will be added to the bulk order for batch shipment. Only applicable to cards of type PHYSICAL

carrier
object
uuid

Specifies the digital card art to be displayed in the user’s digital wallet after tokenization. This artwork must be approved by Mastercard and configured by Lithic to use. See Flexible Card Art Guide.

string
length between 2 and 2

Two digit (MM) expiry month. If neither exp_month nor exp_year is provided, an expiration date will be generated.

string
length between 4 and 4

Four digit (yyyy) expiry year. If neither exp_month nor exp_year is provided, an expiration date will be generated.

string

Friendly name to identify the card.

string

Encrypted PIN block (in base64). Applies to cards of type PHYSICAL and VIRTUAL. See Encrypted PIN Block.

string

Only applicable to cards of type PHYSICAL. This must be configured with Lithic before use. Specifies the configuration (i.e., physical card art) that the card should be manufactured with.

uuid

Globally unique identifier for the card that this card will replace. If the card type is PHYSICAL it will be replaced by a PHYSICAL card. If the card type is VIRTUAL it will be replaced by a VIRTUAL card.

string
enum

Card state substatus values for the card that this card will replace:

  • LOST - The physical card is no longer in the cardholder's possession due to being lost or never received by the cardholder.
  • COMPROMISED - Card information has been exposed, potentially leading to unauthorized access. This may involve physical card theft, cloning, or online data breaches.
  • DAMAGED - The physical card is not functioning properly, such as having chip failures or a demagnetized magnetic stripe.
  • END_USER_REQUEST - The cardholder requested the closure of the card for reasons unrelated to fraud or damage, such as switching to a different product or closing the account.
  • ISSUER_REQUEST - The issuer closed the card for reasons unrelated to fraud or damage, such as account inactivity, product or policy changes, or technology upgrades.
  • NOT_ACTIVE - The card hasn’t had any transaction activity for a specified period, applicable to statuses like PAUSED or CLOSED.
  • SUSPICIOUS_ACTIVITY - The card has one or more suspicious transactions or activities that require review. This can involve prompting the cardholder to confirm legitimate use or report confirmed fraud.
  • INTERNAL_REVIEW - The card is temporarily paused pending further internal review.
  • EXPIRED - The card has expired and has been closed without being reissued.
  • UNDELIVERABLE - The card cannot be delivered to the cardholder and has been returned.
  • OTHER - The reason for the status does not fall into any of the above categories. A comment should be provided to specify the reason.
string

Additional context or information related to the card that this card will replace.

uuid

Restricted field limited to select use cases. Lithic will reach out directly if this field should be used. Globally unique identifier for the replacement card's account. If this field is specified, replacement_for must also be specified. If replacement_for is specified and this field is omitted, the replacement card's account will be inferred from the card being replaced.

shipping_address
object
string
enum

Shipping method for the card. Only applies to cards of type PHYSICAL. Use of options besides STANDARD require additional permissions.

  • STANDARD - USPS regular mail or similar international option, with no tracking
  • STANDARD_WITH_TRACKING - USPS regular mail or similar international option, with tracking
  • PRIORITY - USPS Priority, 1-3 day shipping, with tracking
  • EXPRESS - FedEx or UPS depending on card manufacturer, Express, 3-day shipping, with tracking
  • 2_DAY - FedEx or UPS depending on card manufacturer, 2-day shipping, with tracking
  • EXPEDITED - FedEx or UPS depending on card manufacturer, Standard Overnight or similar international option, with tracking
  • BULK - Card will be shipped as part of a bulk fulfillment order. The shipping method and timeline are inherited from the parent bulk order.
Allowed:
integer
≥ 0

Amount (in cents) to limit approved authorizations (e.g. 100000 would be a $1,000 limit). Transaction requests above the spend limit will be declined. Note that a spend limit of 0 is effectively no limit, and should only be used to reset or remove a prior limit. Only a limit of 1 or above will result in declined transactions due to checks against the card limit.

string
enum

Spend limit duration values:

  • ANNUALLY - Card will authorize transactions up to spend limit for the trailing year.
  • FOREVER - Card will authorize only up to spend limit for the entire lifetime of the card.
  • MONTHLY - Card will authorize transactions up to spend limit for the trailing month. To support recurring monthly payments, which can occur on different day every month, the time window we consider for monthly velocity starts 6 days after the current calendar date one month prior.
  • TRANSACTION - Card will authorize multiple transactions if each individual transaction is under the spend limit.
Allowed:
string
enum

Card state values:

  • OPEN - Card will approve authorizations (if they match card and account parameters).
  • PAUSED - Card will decline authorizations, but can be resumed at a later time.
Allowed:
string
enum
required
Defaults to VIRTUAL

Card types:

  • VIRTUAL - Card will authorize at any merchant and can be added to a digital wallet like Apple Pay or Google Pay (if the card program is digital wallet-enabled).
  • PHYSICAL - Manufactured and sent to the cardholder. We offer white label branding, credit, ATM, PIN debit, chip/EMV, NFC and magstripe functionality. Reach out at lithic.com/contact for more information.
  • SINGLE_USE - Card is closed upon first successful authorization.
  • MERCHANT_LOCKED - Card is locked to the first merchant that successfully authorizes the card.
  • UNLOCKED - [Deprecated] Similar behavior to VIRTUAL cards, please use VIRTUAL instead.
  • DIGITAL_WALLET - [Deprecated] Similar behavior to VIRTUAL cards, please use VIRTUAL instead.
Allowed:
Headers
uuid

Idempotency key for the request

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json